<ng-container *ngIf="defaultInputs$ | async as input">
  <ng-container *ngIf="input.isCard; else tempNoCard">
    <div [ngClass]="jds.card">
      <div [ngClass]="[jds.cardBody, className.cardBody]">
        <ng-container *ngIf="getIcon(type) === 'database'">
          <ng-container *ngTemplateOutlet="tempDatabase" />
        </ng-container>

        <ng-container *ngIf="getIcon(type) === 'building'">
          <ng-container *ngTemplateOutlet="tempBuilding" />
        </ng-container>

        <ng-container *ngTemplateOutlet="tempSlot" />
      </div>
    </div>
  </ng-container>
</ng-container>

<ng-template #tempSlot>
  <ng-content></ng-content>
</ng-template>

<ng-template #tempNoCard>
  <div [ngClass]="className.cardBody">
    <ng-container *ngIf="getIcon(type) === 'database'">
      <ng-container *ngTemplateOutlet="tempDatabase" />
    </ng-container>

    <ng-container *ngIf="getIcon(type) === 'building'">
      <ng-container *ngTemplateOutlet="tempBuilding" />
    </ng-container>

    <ng-container *ngTemplateOutlet="tempSlot" />
  </div>
</ng-template>

<ng-template #tempDatabase>
  <jds-bi-icon
    [ngClass]="[jds.text('gray300'), className.icon]"
    [size]="80"
    name="database"
  />
</ng-template>

<ng-template #tempBuilding>
  <jds-bi-icon
    [ngClass]="[jds.text('gray300'), className.icon]"
    [size]="80"
    name="building"
  />
</ng-template>
